<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Form</title>
    <link rel="stylesheet" href="css/form.css">
</head>
<body>
<form action="mixedTable.html">
    <fieldset>
        <legend>Personal Data</legend>
        <label for="first-name"> First Name*</label>
        <input placeholder="Amal" type="text" name="first-name" id="first-name" required
               maxlength="10" minlength="3">
        <label for="last-name">Last Name</label>
        <input type="text" name="last-name" id="last-name" required pattern="[A-Z][a-z]*">
        <label for="gender">Gender</label>
        <select name="gender" id="gender">
            <option value="male">M</option>
            <option value="female">F</option>
            <option value="other">X</option>
        </select>
        <div><label for="payment">Cash</label><input type="checkbox" name="pay-cash" id="payment">
        </div>
        <div id="check-answers">
            <label for="yes">yes</label><input type="radio" name="answer" id="yes" value="yes">
            <label for="no">no</label><input type="radio" name="answer" id="no" value="no">
            <label for="maybe">dunno</label><input type="radio" name="answer" id="maybe"
                                                   value="maybe"
                                                   checked>
        </div>
        <input type="date" name="appointmenty" id="appointment">
    </fieldset>

    <fieldset>
        <legend>Address</legend>
        <label for="street">Street</label>
        <input type="text" name="street" id="street">
        <label for="house-number">Number</label>
        <input type="number" name="house-number" id="house-number">
    </fieldset>
    <input type="submit" value="Go">
</form>
</body>
</html>